TrackModeFragment

com.j0h1.contour

## Class TrackModeFragment

- java.lang.Object
- - Fragment
  - - com.j0h1.contour.TrackModeFragment

-     public class TrackModeFragment
      extends Fragment

  Fragment that shows the user all available tracks and lets the user start a new track drawing session by selecting one of them.
  Author:
    Johannes Riedmann

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `encodedImage`
    `protected byte[]` | `imageBytes`
    `private java.lang.String` | `language`
    `private ListView` | `lvCategories`
    `private Toast` | `toast`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackModeFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)`
    `void` | `onStart()`
    `private void` | `populateTrackList(java.util.ArrayList<Track> tracks)` Populates the ListView with the received tracks.
    `private void` | `prepareToast(java.lang.String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lvCategories

          private ListView lvCategories

    - #### language

          private java.lang.String language

    - #### encodedImage

          protected java.lang.String encodedImage

    - #### imageBytes

          protected byte[] imageBytes

    - #### toast

          private Toast toast

  - ### Constructor Detail

    - #### TrackModeFragment

          public TrackModeFragment()

  - ### Method Detail

    - #### onStart

          public void onStart()

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                                   ViewGroup container,
                                   Bundle savedInstanceState)

    - #### populateTrackList

          private void populateTrackList(java.util.ArrayList<Track> tracks)

      Populates the ListView with the received tracks.
      Parameters:
        `tracks` - Tracks received as a response from the previous request.

    - #### prepareToast

          private void prepareToast(java.lang.String message)